> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# submitAcceptorApplication

> Submit an application.

`Mutation`

## Arguments

<ParamField path="input" type="AcceptorApplicationSubmitInput!" required>
  <Expandable title="child attributes">
    <ParamField path="id" type="UUID!" required />
  </Expandable>
</ParamField>

## Return type

`SubmitAcceptorApplicationPayload!`

<ResponseField name="acceptorApplication" type="AcceptorApplication">
  The acceptor application that was created or updated.

  <Expandable title="child attributes">
    <ResponseField name="acceptorId" type="UUID">
      The acceptor ID assigned during onboarding.
    </ResponseField>

    <ResponseField name="accountStatus" type="AccountStatus">
      Current boarding process status. Null if boarding has not started.

      See [AccountStatus](/acquiring/reference/graphql/types/account-status)
    </ResponseField>

    <ResponseField name="applicationEvents" type="ApplicationEventCollection">
      The events associated with the application.

      See [ApplicationEventCollection](/acquiring/reference/graphql/types/application-event-collection)
    </ResponseField>

    <ResponseField name="applicationIdentity" type="AcceptorApplicationIdentityOutput">
      The identity information of the application.

      See [AcceptorApplicationIdentityOutput](/acquiring/reference/graphql/types/acceptor-application-identity-output)
    </ResponseField>

    <ResponseField name="applicationStatus" type="AcceptorApplicationStatus!" required>
      The status of the application.

      See [AcceptorApplicationStatus](/acquiring/reference/graphql/types/acceptor-application-status)
    </ResponseField>

    <ResponseField name="assignee" type="ApplicationAssignee">
      The user assigned to the application.

      See [ApplicationAssignee](/acquiring/reference/graphql/types/application-assignee)
    </ResponseField>

    <ResponseField name="attachments" type="[Attachment!]!" required>
      The attachments associated with the application.

      See [Attachment](/acquiring/reference/graphql/types/attachment)
    </ResponseField>

    <ResponseField name="billingAndFunding" type="AcceptorApplicationBillingAndFundingOutput">
      The billing and funding information of the application.

      See [AcceptorApplicationBillingAndFundingOutput](/acquiring/reference/graphql/types/acceptor-application-billing-and-funding-output)
    </ResponseField>

    <ResponseField name="cardAcceptorId" type="String">
      The card acceptor ID assigned during onboarding.
    </ResponseField>

    <ResponseField name="comments" type="[Comment!]!" required>
      The comments associated with the application.

      See [Comment](/acquiring/reference/graphql/types/comment)
    </ResponseField>

    <ResponseField name="createdBy" type="Actor">
      The actor who created the application.

      See [Actor](/acquiring/reference/graphql/types/actor)
    </ResponseField>

    <ResponseField name="createdDateTime" type="DateTime!" required>
      The date and time when the application was created.
    </ResponseField>

    <ResponseField name="decisionComponents" type="[DecisionComponent!]!" required>
      The underwriting decision components for the application.

      See [DecisionComponent](/acquiring/reference/graphql/types/decision-component)
    </ResponseField>

    <ResponseField name="id" type="UUID!" required>
      The unique identifier of the application.
    </ResponseField>

    <ResponseField name="participants" type="[BoardingApplicationParticipant!]">
      The participants of the application.

      See [BoardingApplicationParticipant](/acquiring/reference/graphql/types/boarding-application-participant)
    </ResponseField>

    <ResponseField name="processingActivity" type="AcceptorApplicationProcessingActivityOutput">
      The process activity information of the application.

      See [AcceptorApplicationProcessingActivityOutput](/acquiring/reference/graphql/types/acceptor-application-processing-activity-output)
    </ResponseField>

    <ResponseField name="queue" type="WorkflowAssignment!" required>
      The queue the application is assigned to.

      See [WorkflowAssignment](/acquiring/reference/graphql/types/workflow-assignment)
    </ResponseField>

    <ResponseField name="schema" type="UnderwritingDecisionComponentsSchema">
      The underwriting decision components schema for the application.

      See [UnderwritingDecisionComponentsSchema](/acquiring/reference/graphql/types/underwriting-decision-components-schema)
    </ResponseField>

    <ResponseField name="services" type="AcceptorApplicationServicesOutput">
      The desired services associated with the application.

      See [AcceptorApplicationServicesOutput](/acquiring/reference/graphql/types/acceptor-application-services-output)
    </ResponseField>

    <ResponseField name="stakeholders" type="[StakeholderOutput!]!" required>
      Stakeholder information. Optionally reveal sensitive fields for a specific stakeholder.

      See [StakeholderOutput](/acquiring/reference/graphql/types/stakeholder-output)
    </ResponseField>

    <ResponseField name="submissionAttemptedDateTime" type="DateTime">
      The date and time when the application submission was attempted.
    </ResponseField>

    <ResponseField name="submissionSuccessfulDateTime" type="DateTime">
      The date and time when the application was successfully submitted.
    </ResponseField>

    <ResponseField name="updatedBy" type="Actor">
      The actor who updated the application.

      See [Actor](/acquiring/reference/graphql/types/actor)
    </ResponseField>

    <ResponseField name="updatedDateTime" type="DateTime!" required>
      The date and time when the application was last updated.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="errors" type="[SubmitAcceptorApplicationError!]">
  Errors that occurred during the mutation, if any. Null or empty indicates success.

  <Expandable title="Possible types">
    <Expandable title="AcceptorApplicationValidationError">
      Represents a validation error on an acceptor application that is not specific to a single field.

      <ResponseField name="code" type="AcceptorApplicationValidationErrorCode!" required>
        A static code for tying the response back programmatically.

        See [AcceptorApplicationValidationErrorCode](/acquiring/reference/graphql/types/acceptor-application-validation-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required>
        A helpful message describing the validation failure.
      </ResponseField>
    </Expandable>

    <Expandable title="AcceptorApplicationFieldValidationError">
      Represents a field-level validation error on an acceptor application.

      <ResponseField name="code" type="AcceptorApplicationFieldValidationErrorCode!" required>
        A static code for tying the response back programmatically.

        See [AcceptorApplicationFieldValidationErrorCode](/acquiring/reference/graphql/types/acceptor-application-field-validation-error-code)
      </ResponseField>

      <ResponseField name="field" type="String!" required>
        The name of the field that failed validation.
      </ResponseField>

      <ResponseField name="message" type="String!" required>
        A helpful message describing how to fix the invalid value.
      </ResponseField>
    </Expandable>

    <Expandable title="AcceptorApplicationStakeholderFieldValidationError">
      Represents a field-level validation error on a stakeholder within an acceptor application.

      <ResponseField name="code" type="AcceptorApplicationStakeholderFieldValidationErrorCode!" required>
        A static code for tying the response back programmatically.

        See [AcceptorApplicationStakeholderFieldValidationErrorCode](/acquiring/reference/graphql/types/acceptor-application-stakeholder-field-validation-error-code)
      </ResponseField>

      <ResponseField name="field" type="String!" required>
        The name of the field that failed validation.
      </ResponseField>

      <ResponseField name="message" type="String!" required>
        A helpful message describing how to fix the invalid value.
      </ResponseField>

      <ResponseField name="stakeholderId" type="UUID!" required>
        The ID of the stakeholder whose field failed validation.
      </ResponseField>
    </Expandable>

    <Expandable title="AcceptorApplicationBankAccountFieldValidationError">
      Represents a field-level validation error on a bank account within an acceptor application.

      <ResponseField name="bankAccountId" type="UUID!" required>
        The associated bank account id
      </ResponseField>

      <ResponseField name="code" type="AcceptorApplicationBankAccountFieldValidationGraphQlErrorCode!" required>
        A static code for tying the response back programmatically

        See [AcceptorApplicationBankAccountFieldValidationGraphQlErrorCode](/acquiring/reference/graphql/types/acceptor-application-bank-account-field-validation-graph-ql-error-code)
      </ResponseField>

      <ResponseField name="field" type="String!" required>
        The field that is invalid
      </ResponseField>

      <ResponseField name="message" type="String!" required>
        A helpful message to help fix the invalid value
      </ResponseField>
    </Expandable>

    <Expandable title="ForbiddenError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/acquiring/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>

    <Expandable title="InvalidActorError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/acquiring/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>

    <Expandable title="InvalidOrganizationError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/acquiring/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>

    <Expandable title="NotFoundError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/acquiring/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />

      <ResponseField name="resourceId" type="String" />

      <ResponseField name="resourceName" type="String" />
    </Expandable>

    <Expandable title="ServerError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/acquiring/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  mutation SubmitAcceptorApplication($input: AcceptorApplicationSubmitInput!) {
    submitAcceptorApplication(input: $input) {
      acceptorApplication {
        acceptorId
        accountStatus
        applicationEvents {

        }
        applicationIdentity {
          acceptorReference
          acceptorRelationshipReference
          acceptorType
          businessEntityType
          businessName
          defaultMerchantCategoryCode
          isKnownAcceptor
          isLegalAddressSameAsBusinessAddress
          isProcessingStatement
          legalEntityName
          serviceTelephoneNumber
          softwareProviderNames
          stateOfIncorporation
          transactorTypeII
          transactorTypeIII
          transactorTypeIOverride
          websiteUrl
        }
        applicationStatus
        assignee {
          assignedDateTime
          name
          userId
        }
        attachments {
          fileName
          id
          size
          uploadedDateTime
        }
        billingAndFunding {
          acceptorCutoffTime
          billingProfileId
          fundingProfileId
          timezone
        }
        cardAcceptorId
        comments {
          content
          createdDateTime
          id
          updatedDateTime
        }
        createdBy {
          name
          type
        }
        createdDateTime
        decisionComponents {
          hasAttachments
          hasComments
          id
          status
          updatedDateTime
        }
        id
        participants {
          role
        }
        processingActivity {
          averageAnnualSalesAmount
          averageMonthlySalesAmount
          averageTicketAmount
          cardNotPresentMix
          cardPresentMix
          chargebackRate
          currency
          daysInCycle
          exposure
          highestTicketAmount
          refundRate
        }
        queue
        schema {
          createdDateTime
          id
          version
        }
        services {

        }
        stakeholders {
          emailAddress
          id
          ipAddress
          ownershipPercentage
          roles
        }
        submissionAttemptedDateTime
        submissionSuccessfulDateTime
        updatedBy {
          name
          type
        }
        updatedDateTime
      }
      errors {
        ... on AcceptorApplicationValidationError {
          code
          message
        }
        ... on AcceptorApplicationFieldValidationError {
          code
          field
          message
        }
        ... on AcceptorApplicationStakeholderFieldValidationError {
          code
          field
          message
          stakeholderId
        }
        ... on AcceptorApplicationBankAccountFieldValidationError {
          bankAccountId
          code
          field
          message
        }
        ... on ForbiddenError {
          advice
          code
          message
        }
        ... on InvalidActorError {
          advice
          code
          message
        }
        ... on InvalidOrganizationError {
          advice
          code
          message
        }
        ... on NotFoundError {
          advice
          code
          message
          resourceId
          resourceName
        }
        ... on ServerError {
          advice
          code
          message
        }
      }

  }
  }

  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "mutation SubmitAcceptorApplication($input: AcceptorApplicationSubmitInput!) {\n  submitAcceptorApplication(input: $input) {\n    acceptorApplication {\n      acceptorId\n      accountStatus\n      applicationEvents {\n\n      }\n      applicationIdentity {\n        acceptorReference\n        acceptorRelationshipReference\n        acceptorType\n        businessEntityType\n        businessName\n        defaultMerchantCategoryCode\n        isKnownAcceptor\n        isLegalAddressSameAsBusinessAddress\n        isProcessingStatement\n        legalEntityName\n        serviceTelephoneNumber\n        softwareProviderNames\n        stateOfIncorporation\n        transactorTypeII\n        transactorTypeIII\n        transactorTypeIOverride\n        websiteUrl\n      }\n      applicationStatus\n      assignee {\n        assignedDateTime\n        name\n        userId\n      }\n      attachments {\n        fileName\n        id\n        size\n        uploadedDateTime\n      }\n      billingAndFunding {\n        acceptorCutoffTime\n        billingProfileId\n        fundingProfileId\n        timezone\n      }\n      cardAcceptorId\n      comments {\n        content\n        createdDateTime\n        id\n        updatedDateTime\n      }\n      createdBy {\n        name\n        type\n      }\n      createdDateTime\n      decisionComponents {\n        hasAttachments\n        hasComments\n        id\n        status\n        updatedDateTime\n      }\n      id\n      participants {\n        role\n      }\n      processingActivity {\n        averageAnnualSalesAmount\n        averageMonthlySalesAmount\n        averageTicketAmount\n        cardNotPresentMix\n        cardPresentMix\n        chargebackRate\n        currency\n        daysInCycle\n        exposure\n        highestTicketAmount\n        refundRate\n      }\n      queue\n      schema {\n        createdDateTime\n        id\n        version\n      }\n      services {\n\n      }\n      stakeholders {\n        emailAddress\n        id\n        ipAddress\n        ownershipPercentage\n        roles\n      }\n      submissionAttemptedDateTime\n      submissionSuccessfulDateTime\n      updatedBy {\n        name\n        type\n      }\n      updatedDateTime\n    }\n    errors {\n      ... on AcceptorApplicationValidationError {\n        code\n        message\n      }\n      ... on AcceptorApplicationFieldValidationError {\n        code\n        field\n        message\n      }\n      ... on AcceptorApplicationStakeholderFieldValidationError {\n        code\n        field\n        message\n        stakeholderId\n      }\n      ... on AcceptorApplicationBankAccountFieldValidationError {\n        bankAccountId\n        code\n        field\n        message\n      }\n      ... on ForbiddenError {\n        advice\n        code\n        message\n      }\n      ... on InvalidActorError {\n        advice\n        code\n        message\n      }\n      ... on InvalidOrganizationError {\n        advice\n        code\n        message\n      }\n      ... on NotFoundError {\n        advice\n        code\n        message\n        resourceId\n        resourceName\n      }\n      ... on ServerError {\n        advice\n        code\n        message\n      }\n    }\n  }\n}",
    "variables": {
      "input": {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "submitAcceptorApplication": {
        "acceptorApplication": {
          "acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
          "accountStatus": "ON_HOLD",
          "applicationEvents": {
            "items": [
              "example"
            ],
            "pageInfo": "example"
          },
          "applicationIdentity": {
            "acceptorReference": "CLACK-2026-001",
            "acceptorRelationshipReference": "REL-CLACK-001",
            "acceptorType": "BILLER",
            "businessAddress": "example",
            "businessEntityType": "ASSOCIATION",
            "businessName": "Clacksworth Keyboards",
            "defaultMerchantCategoryCode": "example",
            "isKnownAcceptor": true,
            "isLegalAddressSameAsBusinessAddress": true,
            "isProcessingStatement": true,
            "legalAddress": "example",
            "legalEntityName": "Clacksworth Keyboards LLC",
            "merchantCategories": [
              "example"
            ],
            "sensitiveFields": "example",
            "serviceTelephoneNumber": "+15551234567",
            "softwareProviderNames": [
              "example"
            ],
            "sponsorBank": "example",
            "stateOfIncorporation": "example",
            "taxIdentificationNumber": "example",
            "transactorTypeII": "example",
            "transactorTypeIII": [
              "example"
            ],
            "transactorTypeIOverride": "BPSP",
            "websiteUrl": "https://clacksworth.com"
          },
          "applicationStatus": "APPROVED",
          "assignee": {
            "assignedBy": "example",
            "assignedDateTime": "2026-01-15T14:30:00Z",
            "name": "Ben Torres",
            "userId": "c9a1e2d3-4b5f-6789-0abc-def123456789"
          },
          "attachments": [
            {
              "fileName": "business-license.pdf",
              "id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
              "size": 0,
              "uploadedBy": "example",
              "uploadedDateTime": "2026-01-15T14:30:00Z"
            }
          ],
          "billingAndFunding": {
            "acceptorCutoffTime": "12:00:00",
            "bankAccounts": [
              "example"
            ],
            "billingDescriptor": "CLACKSWORTH KEYBOARDS",
            "billingProfileId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
            "fundingProfileId": "b6d4e5f6-7a8b-9012-3def-456789012345",
            "timezone": "AMERICA_CHICAGO"
          },
          "cardAcceptorId": "example",
          "comments": [
            {
              "content": "Approved for mechanical keyboard accessories line.",
              "createdBy": "example",
              "createdDateTime": "2026-01-15T14:30:00Z",
              "decisionComponent": "example",
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "lastUpdatedBy": "example",
              "updatedDateTime": "2026-01-15T14:30:00Z"
            }
          ],
          "createdBy": {
            "name": "Ben Torres",
            "type": "APP"
          },
          "createdDateTime": "2026-01-15T14:30:00Z",
          "decisionComponents": [
            {
              "attachments": [
                "example"
              ],
              "comments": [
                "example"
              ],
              "hasAttachments": true,
              "hasComments": true,
              "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
              "items": [
                "example"
              ],
              "lastUpdatedBy": "example",
              "schema": "example",
              "status": "ACCEPTED",
              "updatedDateTime": "2026-01-15T14:30:00Z"
            }
          ],
          "id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
          "participants": [
            {
              "organization": "example",
              "role": "BANK"
            }
          ],
          "processingActivity": {
            "averageAnnualSalesAmount": 0,
            "averageMonthlySalesAmount": 45000,
            "averageTicketAmount": 150,
            "cardNotPresentMix": 0.05,
            "cardPresentMix": 0.05,
            "chargebackRate": 0.05,
            "currency": "USD",
            "daysInCycle": 0,
            "exposure": 100000,
            "highestTicketAmount": 2500,
            "refundRate": 0.05
          },
          "queue": "PARTNER",
          "schema": {
            "createdDateTime": "2026-01-15T14:30:00Z",
            "id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
            "underwritingDecisionComponentSchemas": [
              "example"
            ],
            "version": "example"
          },
          "services": {
            "transactionProcessingService": "example"
          },
          "stakeholders": [
            {
              "emailAddress": "ben@clacksworth.com",
              "id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
              "ipAddress": "example",
              "ownershipPercentage": 0.05,
              "roles": [
                "AUTHORIZED"
              ],
              "sensitiveFields": "example"
            }
          ],
          "submissionAttemptedDateTime": "2026-01-15T14:30:00Z",
          "submissionSuccessfulDateTime": "2026-01-15T14:30:00Z",
          "updatedBy": {
            "name": "Ben Torres",
            "type": "APP"
          },
          "updatedDateTime": "2026-01-15T14:30:00Z"
        },
        "errors": [
          {
            "__typename": "AcceptorApplicationValidationError",
            "code": "INTERNAL_SERVER_ERROR",
            "message": "example"
          }
        ]
      }
    }
  }
  ```
</ResponseExample>
